# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/asdasd/asdasdasd/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {

        "psr-4": {
            ... ,
            "Asdasd\\Asdasdasd\\": "packages/asdasd/asdasdasd/src",
            "Asdasd\\Asdasdasd\\Seeders\\": "packages/asdasd/asdasdasd/database/seeders"
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Asdasd\Asdasdasd\Providers\AsdasdasdServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Asdasdasd'  => Asdasd\Asdasdasd\Facades\Asdasdasd::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Asdasd\\Asdasdasd\\Seeders\\AsdasdasdTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Asdasd\Asdasdasd\Providers\AsdasdasdServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Asdasd\Asdasdasd\Providers\AsdasdasdServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Asdasd\Asdasdasd\Providers\AsdasdasdServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/asdasdasd/{modulename}

**User**

    http://path-to-route-folder/user/asdasdasd/{modulename}

**Public**

    http://path-to-route-folder/asdasdasds


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/asdasdasd/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/asdasdasd/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/asdasdasd/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/asdasdasd/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/asdasdasd/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/asdasdasd/{modulename}/{slug}
    METHOD: GET